Skip to main content
POST
/
v1
/
config
/
{category}
/
settings
Java (SDK)
package hello.world;

import java.lang.Exception;
import java.util.Map;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.CreateSettingResponse;

public class Application {

    public static void main(String[] args) throws BadRequestException, UnauthorizedException, InternalServerError, Exception {

        AriesJava sdk = AriesJava.builder()
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        CreateSettingResponse res = sdk.settings().create()
                .category("feature-flags")
                .body(Map.ofEntries(
                    Map.entry("new_ui_enabled", true),
                    Map.entry("beta_features", false),
                    Map.entry("api_rate_limit", 100L)))
                .call();

        if (res.object().isPresent()) {
            // handle response
        }
    }
}
{}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

category
string
required

Category of the setting (e.g., 'display', 'trading', 'notifications')

Body

application/json

Global settings data as key-value pairs

The body is of type object.

Response

Setting created successfully

The response is of type object.